Page MenuHomeFreeBSD

Modify LUA code to use libstand
Needs RevisionPublic

Authored by howard0su_gmail.com on Dec 15 2015, 2:22 AM.

Details

Reviewers
rpaulo
imp
Summary

The local change of LUA source code

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1647
Build 1653: arc lint + arc unit

Event Timeline

howard0su_gmail.com retitled this revision from to Modify LUA code to use libstand.
howard0su_gmail.com updated this object.
howard0su_gmail.com edited the test plan for this revision. (Show Details)
rpaulo accepted this revision.Jan 27 2016, 6:18 AM
rpaulo edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Jan 27 2016, 6:18 AM
emaste added a subscriber: kevans.Nov 16 2018, 8:47 PM

Hi,

Sorry, I think I missed some context- exactly what problem are we trying to address here?

Most of these files will not be able to see the light of day in loader because we're almost just a tad too fat already, and I was under the impression that we're already doing the right thing in the build to silently use libsa+headers in place of bits normally provided by libc+headers through some clever .OBJDIR symlinks.

kevans added a comment.Feb 5 2019, 1:33 PM

Sorry, that should have read "just a tad too fat and don't quite implement all of the needed bits"

imp requested changes to this revision.Feb 5 2019, 3:01 PM

I worked really hard so we wouldn't have to do this. Do not commit this.
What problem is being solved here?
The original LUA loader submission had stuff like this in it, and I specifically rejected it and made all the files that lua needed usable / mimicked in libstand by linking those files to stand.h and having stand.h define everything that's needed.

This revision now requires changes to proceed.Feb 5 2019, 3:01 PM
imp added a comment.Feb 5 2019, 3:19 PM

Hmm, looking at the dates, this pre-dates the lua integration and is likely OBE.